commit: 336270493d74d21eb601a4f933d74731b3017e7b
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 3 21:24:16 2016 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Apr 3 21:42:23 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33627049
dev-java/spymemcached: Remove optional dependence on Spring Framework
Our Spring Framework packages are going to be masked because they're
outdated, vulnerable, and not likely to be updated soon. Straight to
stable because I'm just removing USE-based functionality.
Package-Manager: portage-2.2.28
dev-java/spymemcached/metadata.xml | 3 ---
...ymemcached-2.9.1.ebuild => spymemcached-2.9.1-r1.ebuild} | 13 +++----------
2 files changed, 3 insertions(+), 13 deletions(-)
diff --git a/dev-java/spymemcached/metadata.xml
b/dev-java/spymemcached/metadata.xml
index 82afaa0..f120820 100644
--- a/dev-java/spymemcached/metadata.xml
+++ b/dev-java/spymemcached/metadata.xml
@@ -5,9 +5,6 @@
<email>[email protected]</email>
<name>Java</name>
</maintainer>
- <use>
- <flag name="spring">Build support for the spring
framework</flag>
- </use>
<upstream>
<remote-id type="google-code">spymemcached</remote-id>
</upstream>
diff --git a/dev-java/spymemcached/spymemcached-2.9.1.ebuild
b/dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild
similarity index 69%
rename from dev-java/spymemcached/spymemcached-2.9.1.ebuild
rename to dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild
index 5a9328d..74e123c 100644
--- a/dev-java/spymemcached/spymemcached-2.9.1.ebuild
+++ b/dev-java/spymemcached/spymemcached-2.9.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -16,11 +16,8 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="spring"
-
CDEPEND="dev-java/log4j:0
- dev-java/slf4j-api:0
- spring? ( dev-java/spring-beans:3.2 )"
+ dev-java/slf4j-api:0"
DEPEND=">=virtual/jdk-1.5
${CDEPEND}"
@@ -33,9 +30,5 @@ S="${WORKDIR}"
JAVA_GENTOO_CLASSPATH="log4j,slf4j-api"
java_prepare() {
- if use spring; then
- JAVA_GENTOO_CLASSPATH+=",spring-beans-3.2"
- else
- rm net/spy/memcached/spring/MemcachedClientFactoryBean.java ||
die
- fi
+ rm net/spy/memcached/spring/MemcachedClientFactoryBean.java || die
}